ros-humble-rcl-yaml-param-parser (5.3.8-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.7-1bookworm) bookworm; urgency=high

  * Fix for incorrect integer value conversion on Windows (#1126 <https://github.com/ros2/rcl/issues/1126>) (#1128 <https://github.com/ros2/rcl/issues/1128>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.6-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.5-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.4-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.3-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.2-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Sep 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.3.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.2.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.2.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.1.0-1bookworm) bookworm; urgency=high

  * Install includes it include/${PROJECT_NAME} (#959 <https://github.com/ros2/rcl/issues/959>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.0.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (5.0.0-1bookworm) bookworm; urgency=high

  * Update maintainers to Ivan Paunovic and William Woodall (#952 <https://github.com/ros2/rcl/issues/952>)
  * Tweak rcl_yaml_param_parser documentation (#939 <https://github.com/ros2/rcl/issues/939>)
  * Contributors: Audrow Nash, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 13 Dec 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (4.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 15 Sep 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.2.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 01 Sep 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.1.2-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.1.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.1.0-1bookworm) bookworm; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#909 <https://github.com/ros2/rcl/issues/909>)
  * Contributors: shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.0.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 24 Mar 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (3.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.6.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.5.2-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 04 Feb 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.5.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.5.0-1bookworm) bookworm; urgency=high

  * Enable compiler warnings (#831 <https://github.com/ros2/rcl/issues/831>)
  * Update QDs to QL 1 (#866 <https://github.com/ros2/rcl/issues/866>)
  * Rearrange test logic to avoid reference to null (#862 <https://github.com/ros2/rcl/issues/862>)
  * Update QL (#858 <https://github.com/ros2/rcl/issues/858>)
  * Make sure to initialize the end_mark for yaml_event_t (#849 <https://github.com/ros2/rcl/issues/849>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.4.0-1bookworm) bookworm; urgency=high

  * Check for valid node names in parameters files (#809 <https://github.com/ros2/rcl/issues/809>)
  * Contributors: Chen Lihui

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 18 Oct 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.3.0-1bookworm) bookworm; urgency=high

  * Update maintainers (#825 <https://github.com/ros2/rcl/issues/825>)
  * Updated performance section QD (#817 <https://github.com/ros2/rcl/issues/817>)
  * Several memory-related fixes for rcl_variant_t benchmarks (#813 <https://github.com/ros2/rcl/issues/813>)
  * Improved rcl_yaml_param_parser benchmark test (#810 <https://github.com/ros2/rcl/issues/810>)
  * Added benchmark test to rcl_yaml_param_parser (#803 <https://github.com/ros2/rcl/issues/803>)
  * Remove MAX_NUM_PARAMS_PER_NODE and MAX_NUM_NODE_ENTRIES limitation. (#802 <https://github.com/ros2/rcl/issues/802>)
  * Add mocking unit tests for rcl_yaml_param_parser (coverage part 3/3) (#772 <https://github.com/ros2/rcl/issues/772>)
  * Add fault-injection unit tests (coverage part 2/3) (#766 <https://github.com/ros2/rcl/issues/766>)
  * Add basic unit tests for refactored functions in rcl_yaml_param_parser (coverage part 1/3) (#771 <https://github.com/ros2/rcl/issues/771>)
  * Fix yaml parser error when meets .nan (refactor on #754 <https://github.com/ros2/rcl/issues/754>) (#781 <https://github.com/ros2/rcl/issues/781>)
  * Contributors: Alejandro Hernández Cordero, Chen Lihui, Ivan Santiago Paunovic, Scott K Logan, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 18 Oct 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.2.0-1bookworm) bookworm; urgency=high

  * Refactor parser.c for better testability (#754 <https://github.com/ros2/rcl/issues/754>)
  * Don't overwrite cur_ns pointer if reallocation fails (#780 <https://github.com/ros2/rcl/issues/780>)
  * Fix mem leaks in unit test from 776 (#779 <https://github.com/ros2/rcl/issues/779>)
  * Fix rcl_parse_yaml_file() error handling. (#776 <https://github.com/ros2/rcl/issues/776>)
  * Don't overwrite string_array pointer on reallocation failure (#775 <https://github.com/ros2/rcl/issues/775>)
  * Set yaml_variant values to NULL on finalization (#765 <https://github.com/ros2/rcl/issues/765>)
  * Remove debugging statements. (#755 <https://github.com/ros2/rcl/issues/755>)
  * Contributors: Michel Hidalgo, brawner, tomoya

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Sep 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.1.0-1bookworm) bookworm; urgency=high

  * Removed doxygen warnings (#712 <https://github.com/ros2/rcl/issues/712>)
  * Contributors: Alejandro Hernández Cordero

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 21 Jul 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (2.0.0-1bookworm) bookworm; urgency=high

  * Update quality declaration and coverage (#674 <https://github.com/ros2/rcl/issues/674>)
  * Contributors: Alejandro Hernández Cordero

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 08 Jul 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (1.2.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 17 Jun 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (1.1.5-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (1.1.4-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 01 Jun 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (1.1.3-1bookworm) bookworm; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#661 <https://github.com/ros2/rcl/issues/661>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (1.1.2-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 27 May 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (1.1.1-1bookworm) bookworm; urgency=high

  * Increase rcl_yaml_param_parser test coverage (#656 <https://github.com/ros2/rcl/issues/656>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (1.1.0-1bookworm) bookworm; urgency=high

  * Update Quality Declaration for 1.0 (#647 <https://github.com/ros2/rcl/issues/647>)
  * Contributors: brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 21 May 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (1.0.0-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 11 May 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.9.1-1bookworm) bookworm; urgency=high

  * Included features (#644 <https://github.com/ros2/rcl/issues/644>)
  * Quality Declarations for rcl_action, rcl_lifecycle, yaml_parser (#641 <https://github.com/ros2/rcl/issues/641>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 May 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.9.0-1bookworm) bookworm; urgency=high

  * Added rcl yaml param parser doxyfile (#634 <https://github.com/ros2/rcl/issues/634>)
  * Fixed rcl_yaml_param_parser package description (#637 <https://github.com/ros2/rcl/issues/637>)
  * Fix usage to not expose underlying yaml (#630 <https://github.com/ros2/rcl/issues/630>)
  * Export targets in a addition to include directories / libraries (#621 <https://github.com/ros2/rcl/issues/621>)
  * Remove usage of undefined CMake variable (#620 <https://github.com/ros2/rcl/issues/620>)
  * Fix memory leaks (#564 <https://github.com/ros2/rcl/issues/564>)
  * Code style only: wrap after open parenthesis if not in one line (#565 <https://github.com/ros2/rcl/issues/565>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, y-okumura-isp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 28 Apr 2020 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.8.3-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Nov 2019 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.8.2-1bookworm) bookworm; urgency=high

  * Specify test working directory (#529 <https://github.com/ros2/rcl/issues/529>)
  * Remove the maximum string size. (#524 <https://github.com/ros2/rcl/issues/524>)
  * Contributors: Chris Lalancette, Dan Rose

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.8.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 07 Oct 2019 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.8.0-1bookworm) bookworm; urgency=high

  * Enable incremental parameter yaml file parsing. (#507 <https://github.com/ros2/rcl/issues/507>)
  * Support parameter overrides and remap rules flags on command line (#483 <https://github.com/ros2/rcl/issues/483>)
  * Increase MAX_STRING_SIZE (#487 <https://github.com/ros2/rcl/issues/487>)
  * include actual size in error message (#490 <https://github.com/ros2/rcl/issues/490>)
  * Avoid C4703 error on UWP (#282 <https://github.com/ros2/rcl/issues/282>)
  * [YAML Parser] Support parameter value parsing (#471 <https://github.com/ros2/rcl/issues/471>)
  * [YAML Parser] Depend on rcutils only (#470 <https://github.com/ros2/rcl/issues/470>)
  * Accept quoted int or float values as strings (#464 <https://github.com/ros2/rcl/issues/464>)
  * Fix memory corruption when maximum number of parameters is exceeded (#456 <https://github.com/ros2/rcl/issues/456>)
  * Contributors: Dirk Thomas, Esteve Fernandez, Jacob Perron, Michel Hidalgo, hyunseok-yang, ivanpauno

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 25 Sep 2019 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.7.4-1bookworm) bookworm; urgency=high

  * Allow empty strings if they are quoted. (#450 <https://github.com/ros2/rcl/issues/450>)
  * Contributors: Ralf Anton Beier

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 28 May 2019 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.7.3-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 19 May 2019 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.7.2-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 07 May 2019 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.7.1-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 28 Apr 2019 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.7.0-1bookworm) bookworm; urgency=high

  * Corrected bool reading from yaml files. (#415 <https://github.com/ros2/rcl/issues/415>)
  * Added launch along with launch_testing as test dependencies. (#393 <https://github.com/ros2/rcl/issues/393>)
  * Set symbol visibility to hidden for rcl. (#391 <https://github.com/ros2/rcl/issues/391>)
  * Contributors: Michel Hidalgo, Sachin Suresh Bhat, ivanpauno

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sat, 13 Apr 2019 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.6.4-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Jan 2019 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.6.3-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 12 Dec 2018 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.6.2-1bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 12 Dec 2018 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.6.1-1bookworm) bookworm; urgency=high

  * No changes.

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 06 Dec 2018 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.6.0-1bookworm) bookworm; urgency=high

  * Updated to use new error handling API from rcutils (#314 <https://github.com/ros2/rcl/issues/314>)
  * Fixed FQN=//node_name when ns is / (#299 <https://github.com/ros2/rcl/issues/299>)
  * Fixed documentation issues (#288 <https://github.com/ros2/rcl/issues/288>)
  * Fixed to deallocate ret_val to avoid memory leak (#278 <https://github.com/ros2/rcl/issues/278>)
  * Contributors: Chris Ye, William Woodall, dhood

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 15 Nov 2018 16:00:00 -0000

ros-humble-rcl-yaml-param-parser (0.5.0-1bookworm) bookworm; urgency=high

  * Added functions to parse YAML parameter files. (#235 <https://github.com/ros2/rcl/issues/235>)
  * Contributors: Shane Loretz, William Woodall, anup-pem, dhood

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 24 Jun 2018 16:00:00 -0000


